/***************************************************************************
 *   Copyright (C) 2008 by Alvaro Garcia   								   *
 *   maxpowel@gmail.com   												   *
 *      														           *
 * 	 This file is part of AFEBL                                            *
 * 																		   *
 *   AFBL is free software; you can redistribute it and/or modify          *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.       *
 ***************************************************************************/
#ifndef AFEBLGETMETHOD_H
#define AFEBLGETMETHOD_H

#include "afeblcontainer.cpp"
#include "afeblcookies.cpp"
#include "afeblpostdata.cpp"
#include "afeblipresolver.cpp"
/**
	@author Alvaro Garcia <maxpowel@gmail.com>
*/
class AFEBLbrowser{
public:
    AFEBLbrowser();
    ~AFEBLbrowser();
	void addInput(string inputName,string inputValue);
	bool modifyInput(string inputName,string newValue);
	bool removeInput(string inputName);
	string getInputValue(string inputName);
	void clearInputs();
	void showInputs();
	void submit();
	string get(string host);
	string submit(string host);
	void parseHTML(string html);
	void parseCookies(string html);
	void clearCookies();
private:
	AFEBLcontainer *header;
	AFEBLpostData *inputs;
	AFEBLcookies *cookies;
};

#endif
